import * as plugins from './plugins.js';

export const demoContract: plugins.interfaces.IPortableContract = {
  "title": "Minijob Employment Contract",
  "context": "This contract is for a Minijob position under German law.",
  "availableRoles": [
    {
      "id": "employer",
      "name": "Employer",
      "description": "The party offering the Minijob position."
    },
    {
      "id": "employee",
      "name": "Employee",
      "description": "The party accepting the Minijob position."
    }
  ],
  "involvedParties": [
    {
      "role": "employer",
      "contact": null
    },
    {
      "role": "employee",
      "contact": null
    }
  ],
  "priorContracts": [],
  "paragraphs": [
    {
      "uniqueId": "1",
      "parent": null,
      "title": "Introduction",
      "content": "This contract outlines the terms of employment for a Minijob position between [Employer Name] and [Employee Name]."
    },
    {
      "uniqueId": "2",
      "parent": null,
      "title": "Scope of Work",
      "content": "The employee will perform the following duties: [List of Duties]."
    },
    {
      "uniqueId": "3",
      "parent": null,
      "title": "Compensation",
      "content": "The employee will be compensated with a monthly salary of [Salary Amount], in accordance with Minijob regulations."
    }
  ]
};